> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Gateway info for supported domains and tokens

> Provides information about the API and details of the supported domains and tokens.



## OpenAPI

````yaml openapi/gateway.yaml get /v1/info
openapi: 3.0.3
info:
  title: Circle Gateway
  version: 1.0.0
  description: >
    Circle Gateway allows you to create a chain-abstracted USDC balance and
    transfer it instantly to any supported destination chain.
servers:
  - url: https://gateway-api-testnet.circle.com
  - url: https://gateway-api.circle.com
security: []
tags:
  - name: Gateway
    description: >-
      Endpoints for getting a unified USDC balance and creating attestations for
      transfer
  - name: Gateway Batch
    description: Endpoints for batch processing of EIP-3009 authorizations
  - name: Gateway x402
    description: Endpoints for x402 payment protocol integration
  - name: Webhook Subscriptions
    description: Manage webhook subscriptions for Gateway event notifications.
paths:
  /v1/info:
    get:
      tags:
        - Gateway
      summary: Get Gateway info for supported domains and tokens
      description: >-
        Provides information about the API and details of the supported domains
        and tokens.
      operationId: GetGatewayInfo
      responses:
        '200':
          description: Gateway info
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InfoResponse'
components:
  schemas:
    InfoResponse:
      type: object
      description: Response containing information about supported domains and tokens
      properties:
        version:
          type: integer
          description: API version number
        domains:
          type: array
          description: List of supported domains and their contract information
          items:
            type: object
            properties:
              chain:
                type: string
                description: Human-readable chain name
                example: Ethereum
              network:
                type: string
                description: Human-readable network name
                example: Sepolia
              domain:
                $ref: '#/components/schemas/Domain'
                description: Domain identifier
              walletContract:
                type: object
                description: Wallet contract information for this domain
                properties:
                  address:
                    type: string
                    description: Address of the wallet contract
                  supportedTokens:
                    type: array
                    items:
                      $ref: '#/components/schemas/Token'
                    description: List of tokens supported by this wallet contract
                required:
                  - address
                  - supportedTokens
              minterContract:
                type: object
                description: Minter contract information for this domain
                properties:
                  address:
                    type: string
                    description: Address of the minter contract
                  supportedTokens:
                    type: array
                    items:
                      $ref: '#/components/schemas/Token'
                    description: List of tokens supported by this minter contract
                required:
                  - address
                  - supportedTokens
              processedHeight:
                type: string
                description: The latest processed block height for this network
                example: '8666762'
              burnIntentExpirationHeight:
                type: string
                description: >-
                  The current minimum accepted block height for a burn intent
                  expiration on this network. The value is based on the latest
                  confirmed block. Developers should add some buffer to this
                  value to avoid transfer request failures.
                example: '8666792'
            required:
              - chain
              - network
              - domain
              - processedHeight
              - burnIntentExpirationHeight
      required:
        - version
        - domains
    Domain:
      type: integer
      enum:
        - 0
        - 1
        - 2
        - 3
        - 5
        - 6
        - 7
        - 10
        - 13
        - 14
        - 16
        - 19
        - 26
      description: |
        Circle domain identifiers for supported chains:

        - 0 - Ethereum
        - 1 - Avalanche
        - 2 - OP
        - 3 - Arbitrum
        - 5 - Solana
        - 6 - Base
        - 7 - Polygon PoS
        - 10 - Unichain
        - 13 - Sonic
        - 14 - World Chain
        - 16 - Sei
        - 19 - HyperEVM
        - 26 - Arc
    Token:
      type: string
      description: Supported tokens for Gateway
      enum:
        - USDC

````